## installsystems-fba78c61375bb0a1dfa6cd9fb4c2acc93dac1258.zip

=== Makefile ===
## Makefile

.PHONY: all tar deb clean cleanbuild buildd dsc doc

NAME=installsystems
VERSION=$(shell sed -rn 's/version = "([^"]+)"/\1/p' installsystems/__init__.py)
BUILD_DIR=__build__
DISTRO=squeeze

all:
	echo all is better than nothing

$(NAME)-$(VERSION).tar.gz:
	git archive --prefix=$(NAME)-$(VERSION)/ HEAD | gzip -9 > $(NAME)-$(VERSION).tar.gz

tar: cleantar $(NAME)-$(VERSION).tar.gz

doc:
	cd doc && make html

dsc: cleanbuild $(NAME)-$(VERSION).tar.gz
	mkdir $(BUILD_DIR)
	tar xfC $(NAME)-$(VERSION).tar.gz $(BUILD_DIR)
	cd $(BUILD_DIR) && dpkg-source -I -b $(NAME)-$(VERSION)

deb: cleanbuild $(NAME)-$(VERSION).tar.gz
	mkdir $(BUILD_DIR)
	tar xfC $(NAME)-$(VERSION).tar.gz $(BUILD_DIR)
	cd $(BUILD_DIR)/$(NAME)-$(VERSION) && dpkg-buildpackage --source-option=-I -us -uc

buildd: dsc
	chmod 644 $(BUILD_DIR)/$(NAME)_*.dsc $(BUILD_DIR)/$(NAME)_*.gz
	scp $(BUILD_DIR)/$(NAME)_*.dsc $(BUILD_DIR)/$(NAME)_*.gz incoming@buildd.fr.lan:$(DISTRO)

clean: cleantar cleanbuild

cleanbuild:
	-rm -rf  $(BUILD_DIR)

cleantar:
	-rm -f $(NAME)-*.tar.gz

=== debian/changelog ===
installsystems (7) unstable; urgency=low

  Sebastien Luttringer (1):
      remove forgotten print

 -- Sebastien Luttringer <sebastien.luttringer@smartjog.com>  Fri, 23 Dec 2011 14:05:33 +0100

installsystems (6) unstable; urgency=low

  Sebastien Luttringer (65):
      return code is != 0 on error or keyboard interrupt
      check command fail if cwd is not the repository path
      replace double by simple quote in bash_completion
      also mount /dev/shm inside chroot
      chroot preparation doesn't mount on a mountpoint
      error already exit with an error code
      We don't need to ship argparse
      Fix gzip payload failure on python 2.6
      check repository name validity
      add command repo
      clean command options
      new is list command
      introduce list --no-sync option
      add new command prepare_chroot and unprepare_chroot
      prepare and unprepare chroot create resolf.conf only if /etc exists
      prepare and unprepare enhancement
      introduce ~ and + in installsystems versions
      list command display md5 in line
      add version field to repository
      build now create payload without version
      reorder option alphabeticall
      add option -p to build
      better error message in build comman
      add a local state to repositories
      new display and option for command repo
      create a function to list all images in repoman
      charachers avec [~-+] in version can be more than ascii
      fix bug of color substituion
      list only last version of one image by repo by default
      install use a subparser for install scripts
      Image are not searched in search path
      add maintainers file
      add -S, --search option to list command
      add sphinx documentation
      move display functions in binary
      We need a recent version of python-argparse
      fix missing parameter in arrow function
      add --purge to command repo
      add istrick file in {,un}prepare_chroot functions
      reorder options
      add is_version in tools
      remove one check of image and payloads when adding to repo
      fix repoman get return repo name on not repo object
      fix displaying color with --no-color
      fix typos
      reindent bash completion with spaces
      cat command display a warning if no file is selected by pattern
      doesn't display directory with cat command
      only use functions inside IS binary
      add completion for {,un}prepare_chroot and -s
      introduce repo and database strict versionning
      add,check,clean,copy,init,move completion limit to local repositories
      build command correclty handle ctrl+c and kill -15
      list search on name if no / is present in pattern
      repository name checking moved inside reposiory class
      rename split_repositories into split_repository_list
      list filter by search path if set
      move --no-sync as program optio
      cachify doesn't create empty file when failing to get database
      remove --force-offline repo option
      rewrite argument and config options loading
      let argparse display version message
      replace quiet and debug by verbosity
      move python-progressbar from installsystems
      image and database format use now x.y format

 -- Sebastien Luttringer <sebastien.luttringer@smartjog.com>  Fri, 23 Dec 2011 11:36:29 +0100

installsystems (5) unstable; urgency=low

  Matthieu Gonnet (2):
      is extract -D generate a description file from the description.json file
      Fix typo

  Sebastien Luttringer (61):
      Introduce PipeFile in place of uopen
      fix database init
      Implement ssh transport
      Repository add now user PipeFile
      Add isversion inside images
      Display progress bar during image creatio
      use PipeFile.consume() in place of shutil.copyfileobj
      Add changelog to images
      Introduce changelog
      Fix invalid payload namming during download
      Offline state is now settable in repository.conf
      Paramiko is not a hard dependency.
      Rollback to python 2.6
      Doesn't display warning when we are not in debug mode
      fix missing progressbar package inside setup.py
      Fix issue with utf8 encoding in author
      fix extracting payload with utf8 filenames
      fix is new traceback
      allow format,description.json,changelog to be writable by user
      is list display changelog only with -c or -v option
      is new doesn't overwrite by default
      Add command changelog
      fix repo.show doesn't have changelog parameter
      is list can display repository content with full path
      add --no-color option to is
      fix loading of parameters from config files
      Reintroduce commit 184b64a23084a75513d48d336470f8048dd68b60
      repository check now display corrupted files
      add a minimal installsystems version option
      rename isversion into is_build_version
      image show display is_min_version in verbose mode
      doesn't display changelog in list if no -c args in verbose mode
      fix bad is_min_version syntax
      fix changelog display which leads to a traceback
      fix temporary caching of command line repostories
      fix typo in compare_versio
      add chroot command
      add command info
      fix typo
      remove double definition of last in repository
      fix presence of is_min_version during read_metadata
      Add bash-completion
      add long --all-version to -v in changelog
      no progressbar in quiet mode
      fix regex and is call in bash-completion
      build command check and add script in alpha order
      is get can now download only payloads
      script without execution bit are not added in image
      fix bash completion with positional argument and options
      Allow del command to keep payload inside repository
      use filepath and not filename in error in check_script
      install bash comp list file after image
      split tools' chroot in 3 functions


=== debian/control ===
Source: installsystems
Section: python
Priority: optional
Maintainer: Sebastien Luttringer <sebastien.luttringer@smartjog.com>
Build-Depends: debhelper (>= 7), python-central (>= 0.6), cdbs (>= 0.4.50), python-setuptools
XS-Python-Version: >= 2.6
Standards-Version: 3.9.1

Package: installsystems
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-installsystems (>= ${source:Version})
XB-Python-Version: ${python:Versions}
Description: InstallSytems Installer
 InstallSystems command line tool

Package: python-installsystems
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-paramiko, python-argparse (>= 1.2.1), python-progressbar (>= 2.3)
XB-Python-Version: ${python:Versions}
Description: InstallSystems Python modules
 This package provides InstallSystems framework
